from datetime import datetime

from theme import current_theme, default

if current_theme.fg == current_theme.fg_alt:
    current_theme.fg_alt = current_theme.base7

frame = f"^v^^c{current_theme.yellow}^"
date = f"^c{current_theme.fg}^"
time = f"^c{current_theme.fg_alt}^"
data = datetime.now().strftime(f"{date}%Y-%m-%d {time}%H:%M")
content = f"{frame}[^v^{data}^t^]^t^"
